Bug 197398 - yum-2.9.2-1 crashes on missing 'DEBUG_25' attribute
yum-2.9.2-1 crashes on missing 'DEBUG_25' attribute
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2006-06-30 16:59 EDT by Jukka Ketelaars
Modified: 2014-01-21 17:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-03 23:20:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jukka Ketelaars 2006-06-30 16:59:37 EDT
Description of problem:
Running yum update on rawhide results in a traceback.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. yum update gcc
2. traceback appears
Actual results:
# yum update gcc
No handlers could be found for logger "yum.cli"
Setting up Update Process
Setting up repositories
Reading repository metadata in from local files
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package gcc.i386 0:4.1.1-6 set to be updated
--> Running transaction check
--> Processing Dependency: libgomp = 4.1.1-6 for package: gcc
--> Processing Dependency: gcc = 4.1.1-5 for package: gcc-gnat
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
  File "/usr/share/yum-cli/yummain.py", line 143, in main
    (result, resultmsgs) = base.buildTransaction()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 422, in
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 236, in resolveDeps
    (checkdep, missing, conflict, errormsgs) = self._processReq(dep)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 377, in _processReq
    requirementTuple, errormsgs)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 508, in
    self.verbose_logger.log(logginglevels.DEBUG_25, 'TSINFO: Updating %s to
resolve dep.', po)
AttributeError: 'module' object has no attribute 'DEBUG_25'

Expected results:
Normal update of packages

Additional info:
Other packages seem to be ok, the problem apparently is triggered by the gcc
Comment 1 Jeremy Katz 2006-07-03 23:20:56 EDT
Fixed in upstream CVS, went ahead and pulled back the patch for a -2.

Note You need to log in before you can comment on or make changes to this bug.